Source: libpinyin
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <syq@debian.org>,
 Asias He <asias@debian.org>,
 ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libdb-dev,
 libglib2.0-dev,
 libltdl-dev,
Standards-Version: 4.6.2
Section: libs
Rules-Requires-Root: no
Homepage: https://github.com/libpinyin/libpinyin
Vcs-Git: https://salsa.debian.org/debian/libpinyin.git
Vcs-Browser: https://salsa.debian.org/debian/libpinyin

Package: libpinyin-common-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Breaks:
 libpinyin13-dev (<< 2.1.0-1~exp2~),
Replaces:
 libpinyin13-dev (<< 2.1.0-1~exp2~),
Description: library to deal with PinYin / zhuyin - common development files
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin / zhuyin input methods.
 .
 This package provides the common header files for both libpinyin and libzhuyin.

Package: libpinyin-data
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
Breaks:
 libpinyin0,
 libpinyin2,
 libpinyin4,
 libpinyin5,
 libpinyin6,
 libpinyin7,
Replaces:
 libpinyin0,
 libpinyin2,
 libpinyin4,
 libpinyin5,
 libpinyin6,
 libpinyin7,
Description: Data for PinYin / zhuyin input method library
 The libpinyin project aims to provide the algorithms core for intelligent
 sentence-based Chinese zhuyin input methods. libpinyin can be integrated with
 input method framework likes ibus, fcitx, etc. to provide a PinYin and zhuyin
 based input method for Chinese user.
 .
 This package contains the data likes zhuyin to word mapping, n-gram
 information, etc. used by libpinyin algorithm.

Package: libpinyin-utils
Section: utils
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: library to deal with PinYin - utilities
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the utilities for manipulating dict files.

Package: libpinyin15
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libpinyin-data (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 fcitx-libpinyin (<< 0.2.0),
 libpinyin0,
 libpinyin12,
 libpinyin13,
 libpinyin2,
 libpinyin4,
 libpinyin5,
 libpinyin6,
 libpinyin7,
Replaces:
 libpinyin0,
 libpinyin12,
 libpinyin13,
 libpinyin2,
 libpinyin4,
 libpinyin5,
 libpinyin6,
 libpinyin7,
Provides:
 libpinyin,
Suggests:
 libpinyin-utils,
Description: library to deal with PinYin
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the library files.

Package: libpinyin15-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libglib2.0-dev,
 libpinyin-common-dev (= ${source:Version}),
 libpinyin15 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 libpinyin-utils,
Provides:
 libpinyin-dev,
Conflicts:
 libpinyin-dev,
Description: library to deal with PinYin - development files
 libpinyin is a set of core algorithms designed for intelligent
 sentence-based Chinese PinYin input methods.
 .
 This package provides the library development files.

Package: libzhuyin-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libglib2.0-dev,
 libpinyin-common-dev (= ${source:Version}),
 libzhuyin15 (= ${binary:Version}),
 ${misc:Depends},
Description: Development files for zhuyin input method library
 The libzhuyin project aims to provide the algorithms core for
 intelligent sentence-based Chinese zhuyin input methods. libzhuyin can
 be integrated with input method framework likes ibus, fcitx, etc. to
 provide a zhuyin based input method for Traditional Chinese user.
 .
 This package contains development files for libzhuyin.

Package: libzhuyin15
Architecture: any
Multi-Arch: same
Depends:
 libpinyin-data (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Conflicts:
 libzhuyin6,
 libzhuyin7,
Provides:
 libzhuyin,
Description: Zhuyin input method library
 The libzhuyin project aims to provide the algorithms core for
 intelligent sentence-based Chinese zhuyin input methods. libzhuyin can
 be integrated with input method framework likes ibus, fcitx, etc. to
 provide a zhuyin based input method for Traditional Chinese user.
